Skip to navigation

Get Enzyme by ID

Beta
Get a single Enzyme by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

enzyme_idstringRequired
ID of the Enzyme.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
cutSiteslist of objectsOptional

Either one (for single cutters) or two (for double cutters) cut details.

idstringOptional
Id of the Enzyme
isoschizomersstringOptionalformat: "uri"
Other enzymes in the catalog that recognize the same restriction site.
namestringOptional
The name of the Enzyme, like EcoRI.
restrictionSiteBasesstringOptional
The DNA bases recognized by the Enzyme.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error